org.eclipse.ecf.remoteservice.servlet

## Class ObjectSerializationResponseSerializer

- java.lang.Object
- - org.eclipse.ecf.remoteservice.util.ObjectSerializationUtil
  - - org.eclipse.ecf.remoteservice.servlet.ObjectSerializationResponseSerializer

All Implemented Interfaces:
  IRemoteCallResponseSerializer

    public class ObjectSerializationResponseSerializer
    extends ObjectSerializationUtil
    implements IRemoteCallResponseSerializer

### Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.util.ObjectSerializationUtil

`DEFAULT_BAOS_BUFFER_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ObjectSerializationResponseSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `serializeResponse(javax.servlet.http.HttpServletResponse resp, Object responseObject)` Serialize responseObject to HttpServletResponse

### Methods inherited from class org.eclipse.ecf.remoteservice.util.ObjectSerializationUtil

`deserializeFromBytes, readToByteArray, serializeToBytes, writeByteArray`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectSerializationResponseSerializer

    public ObjectSerializationResponseSerializer()

### Method Detail

#### serializeResponse

    public void serializeResponse(javax.servlet.http.HttpServletResponse resp,
                                  Object responseObject)
                           throws IOException,
                                  javax.servlet.ServletException

Description copied from interface: `IRemoteCallResponseSerializer`
Serialize responseObject to HttpServletResponse

Specified by:
  `serializeResponse` in interface `IRemoteCallResponseSerializer`
Parameters:
  `resp` - the HttpServletResponse object. Will not be `null`.
  `responseObject` - to serialize to resp
Throws:
  `IOException` - if resposeObject cannot be serialized
  `javax.servlet.ServletException` - if responseObject cannot be serialized